Subject: ASBR reachable via multiple areas

From: Igor Miroshnik <[email-masked]>
Date: Thu, 31 Jul 2003 08:02:30 -0400

All,

   RFC 1583 states: "AS boundary router's routing table entry must indicate a set of paths which
utilize a single area." (16.1)
   Why not utilize all equal-cost paths through different areas?

   Thanks,
   Igor

---

From: Acee Lindem <[email-masked]>
Date: Thu, 31 Jul 2003 10:10:25 -0400

>    Why not utilize all equal-cost paths through different areas?

Hi Igor,

I believe you can calculate equal cost paths through multiple
areas - read section 16.4 and 16.4.1 in RFC 2328 (which
obsoletes RFC 2178 which obsoletes RFC 1583).

--
Acee

---

From: ROB PATH <[email-masked]>
Date: Thu, 31 Jul 2003 14:14:37 -0700

--- Acee Lindem <[email-masked]> wrote:
> Igor Miroshnik wrote:
> > All,
> >
> >    RFC 1583 states: "AS boundary router's routing
> table entry must indicate a set of paths which

The section 16.4 in RFC 2328 does not explicitly state
that equal cost paths through multiple areas could be
utilized (say for load balancing purposes).

It rather states that when there are multiple
least cost paths available in the routing
table, the path whose associated area has the
largest OSPF Area ID is chosen.

Also section 16.4.1 refers to section 16.4 for
choosing a path based on cost, when there are
multiple paths of equal highest preferences.

So it essentially means that multiple equal cost
inter-area paths are not utilized.

Thanks,
    Rob.

> >    Igor

=====
Rob Path
E-Mail : [email-masked]

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com

---

From: Felix Lin <[email-masked]>
Date: Thu, 31 Jul 2003 14:31:13 -0700

Hi Acee,

One quick question on section 13.3 (5).

When flooding an LSA out, the increment of AGE field should only be on the
outgoing packet instead of on the LSA in the database, right?

Thanks
Felix

---

From: Acee Lindem <[email-masked]>
Date: Thu, 31 Jul 2003 17:46:27 -0400

Rob,

You are correct - I missed that clause in 16.4 (3) when
re-reading. I should have checked my implementation before
replying. I can't envision why installing an equal-costs
routes through multiple areas using the same 16.4.1 selection
rules could cause a routing loop or other problem.

Thanks,
Acee

ROB PATH wrote:
>>>   Why not utilize all equal-cost paths through
>>
>>different areas?
>>
>>Hi Igor,
>>

--
Acee

---

From: Erblichs <[email-masked]>
Date: Thu, 31 Jul 2003 16:46:09 -0700

Felix,

        The aging of LSAs that do not have the "DNA" Do not age field
        set in the LSDBs must be done to age out expired LSAs.

        I consider flooding in two different aspects.
          Flooding of originated LSAs and the forwarding of
          non-originated LSAs.

        When the router first originates the LSA the age is
        set to 0. A new or original Sequence number is also
        set. Now, when the router forwards a LSA the age field
        should be incremented by the Interface Transit Delay
        field that is normally set to 1. At that time the
        non originated LSDB LSA age is also incremented

        Mitchell Erblich
        Sr Software Engineer
        ------------------------

---

From: Acee Lindem <[email-masked]>
Date: Thu, 31 Jul 2003 21:57:31 -0400

> Hi Acee,

Hi Felix,

> outgoing packet instead of on the LSA in the database, right?

Conceptually, the LSAs have to age while in your database (refer to
Section 14 in RFC 2328). There are many different ways to implement
this. As you noted, you should also add IfTransDelay
when flooding the LSA.

--
Acee